# norootforbuild

%define soname 1

Name:				libkate%{soname}
Version:			0.3.7
Release:			1.10
Summary:			Codec for Karaoke and Text Encapsulation for Ogg
Source:			http://libkate.googlecode.com/files/libkate-%{version}.tar.gz
Patch1:			libkate-png.patch
URL:				http://code.google.com/p/libkate/
Group:			System/Libraries
License:			BSD License (revised)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	flex bison libogg-devel
BuildRequires:	gcc make glibc-devel pkgconfig
BuildRequires:	libpng-devel


Provides:		liboggkate%{soname} = %{version}-%{release}

%description
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time,
this would be multiplexed with audio/video to carry subtitles, song lyrics
(with or without karaoke data), etc, but doesn't have to be. A possible use of
a lone Kate stream would be an e-book. Moreover, the motion feature gives Kate
a powerful means to describe arbitrary curves, so hand drawing of shapes can
be achieved. This was originally meant for karaoke use, but can be used for
any purpose. Motions can be attached to various semantics, like position,
color, etc, so scrolling or fading text can be defined.

More information can be found at http://wiki.xiph.org/index.php/OggKate




Authors:
--------
    Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>

%package -n libkate-devel
Summary:			Codec for Karaoke and Text Encapsulation for Ogg
Group:			Development/Libraries/C and C++
Requires:		%{name} = %{version}-%{release}
Requires:		libogg-devel
Provides:		liboggkate-devel = %{version}-%{release}

%description -n libkate-devel
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time,
this would be multiplexed with audio/video to carry subtitles, song lyrics
(with or without karaoke data), etc, but doesn't have to be. A possible use of
a lone Kate stream would be an e-book. Moreover, the motion feature gives Kate
a powerful means to describe arbitrary curves, so hand drawing of shapes can
be achieved. This was originally meant for karaoke use, but can be used for
any purpose. Motions can be attached to various semantics, like position,
color, etc, so scrolling or fading text can be defined.

More information can be found at http://wiki.xiph.org/index.php/OggKate




Authors:
--------
    Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>

%package -n kateutils
Summary:			Commandline tools to use libkate
Group:			Productivity/Multimedia/Other
Requires:		%{name} = %{version}-%{release}

%description -n kateutils
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time,
this would be multiplexed with audio/video to carry subtitles, song lyrics
(with or without karaoke data), etc, but doesn't have to be. A possible use of
a lone Kate stream would be an e-book. Moreover, the motion feature gives Kate
a powerful means to describe arbitrary curves, so hand drawing of shapes can
be achieved. This was originally meant for karaoke use, but can be used for
any purpose. Motions can be attached to various semantics, like position,
color, etc, so scrolling or fading text can be defined.

More information can be found at http://wiki.xiph.org/index.php/OggKate




Authors:
--------
    Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>

%debug_package

%prep
%setup -q -n "libkate-%{version}"
%patch1 -p1
%configure


%build
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libkate.so.%{soname}
%{_libdir}/libkate.so.%{soname}.*.*
%{_libdir}/liboggkate.so.%{soname}
%{_libdir}/liboggkate.so.%{soname}.*.*

%files -n kateutils
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/katalyzer
%{_bindir}/katedec
%{_bindir}/kateenc

%files -n libkate-devel
%defattr(-,root,root)
%{_includedir}/kate
%{_libdir}/libkate.so
%{_libdir}/libkate.*a
%{_libdir}/liboggkate.so
%{_libdir}/liboggkate.*a
%{_libdir}/pkgconfig/kate.pc
%{_libdir}/pkgconfig/oggkate.pc

%changelog
* Tue Jun 01 2010 Raymond Wooninck <tittiatcoke@gmail.comm> - 0.3.7-0.pm.1
- update to 0.3.7
* Sun Sep 06 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.3.6-0.pm.1
- update to 0.3.6 and put to OBS
* Wed Jul 23 2008 Pascal Bleser <guru@unixtech.be> 0.1.6-0.pm.1
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
